# Generated by Django 4.1.6 on 2023-02-10 14:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=60, verbose_name='User First Name')),
                ('last_name', models.CharField(max_length=60, verbose_name='User Last Name')),
                ('email', models.EmailField(max_length=254, verbose_name='User Email Address')),
                ('birth_date', models.DateTimeField(verbose_name='Birth Date')),
            ],
        ),
        migrations.CreateModel(
            name='Venue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='Venue Name')),
                ('address', models.CharField(max_length=300, verbose_name='Venue Address')),
                ('zip_code', models.CharField(max_length=10, verbose_name='Zip Code')),
                ('phone', models.CharField(max_length=25, verbose_name='Venue Contact Phone')),
                ('web', models.URLField(verbose_name='Website Address')),
                ('email_address', models.EmailField(max_length=254, verbose_name='Venue Email Address')),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='Event Name')),
                ('event_date', models.DateTimeField(verbose_name='Event Date')),
                ('manager', models.CharField(max_length=60, verbose_name='Manager Name')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('attendees', models.ManyToManyField(blank=True, to='events.user')),
                ('venue', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='events.venue')),
            ],
        ),
    ]
